#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'publik.login'}
#{/set}
<center>
<div class="card card-primary" style="width:300px;text-align: left;">
	<div class="card-header">Login Admin</div>
	<div class="card-body">
	${error}
	#{alert /}
	#{form @LoginCtr.loginAdmin(), id:'formAdmin', method:'POST', autocomplete:'off'}
	<input type="hidden" name="txtPassword" id="passw"/>
	<input type="hidden" name="txtUserId" id="userid"/>
    <div class="form-group">
    	<div class="input-group">
			<div class="input-group-prepend"><span class="input-group-text"><span class="fa fa-user"></span></span></div>
    		<input id="txtUserId" type="text" class="form-control #{validate 'txtUserId'/}" placeholder="User ID" />
			<div class="invalid-feedback">#{error 'txtUserId' /}</div>
    	</div>
    </div>   
    <div class="form-group">
    	<div class="input-group">
			<div class="input-group-prepend"><span class="input-group-text"><i class="fa fa-lock"></i></span></div>
			<input id="txtPassword" type="password" placeholder="Password" class="form-control pwd #{validate 'txtPassword'/}" >
			<div class="input-group-append reveal"><span class="input-group-text"><i class="fa fa-eye"></i></span></div>
			<div class="invalid-feedback">#{error 'txtPassword' /}</div>
		</div>
    </div>    
    <p><input type="hidden" name="showKaptcha" value="${showKaptcha}">
       <img alt="Kode keamanan..." src="@{PublikCtr.showCaptcha(randomID)}" /><br/>
		&{'publik.untuk_menjamin'}
    </p>
    <div class="form-group">
    	<div class="input-group">
			<div class="input-group-prepend"><span class="input-group-text"><i class="fa fa-lock"></i></span></div>
			<input id="txtCode" name="txtCode" type="text" placeholder="Kode" class="form-control #{validate 'txtCode'/}" >
			<div class="invalid-feedback">#{error 'txtCode' /}</div>
		</div>
    </div>  
    <p>Jika Anda kesulitan membaca Kode di atas, <br><a href="@{PublikCtr.loginAdmin()}">klik di sini</a> untuk mengganti Kode.<br/>
	<!--Perhatikan penulisan huruf kapital kode diatas! <br/>-->
    <span class="form-text"></span>
    <input name="hidRandomID" type="hidden" value="${randomID}" />
    <button class="btn btn-success" type="submit">&{'publik.login'}</button>
	#{/form}
  </p>
	</div>
</div>
</center>

#{set 'custom_script' }
<script type="text/javascript" src="#{assets '/js/aes.js' /}"></script>
<script type="text/javascript" src="#{assets '/js/pbkdf2.js' /}"></script>
<script type="text/javascript" src="#{assets '/js/AesUtil.js' /}"></script>
<script type="text/javascript">    
$(document).ready(function () {
	$('#formAdmin').submit(function(){
		var pass = $('#txtPassword').val();
		var userid = $('#txtUserId').val();
		if(pass  && userid) {
			var aesUtil = new AesUtil(256, 1000);
			var cipherPass = aesUtil.encrypt('${salt}', '${iv}', '${token}', pass);
			var cipherUser = aesUtil.encrypt('${salt}', '${iv}', '${token}', userid);
			$('#passw').val(cipherPass);
			$('#userid').val(cipherUser);
		}
	});
});

$(".reveal").on('click',function() {
    var $pwd = $(".pwd");
    if ($pwd.attr('type') === 'password') {
        $pwd.attr('type', 'text');
    } else {
        $pwd.attr('type', 'password');
    }
});
</script>
#{/set}

